[Setup]
AppName=UVScreenCamera
AppVerName=UVScreenCamera version 4.5.0.98
DefaultDirName={pf}\uvSoftium\UVScreenCamera
OutputBaseFilename=setup
Compression=lzma
WizardImageFile=embedded\WizardImage.bmp
WizardSmallImageFile=embedded\WizardSmallImage.bmp

[Files]
Source: "{app}\UVScreenCamera.exe"; DestDir: "{app}"; AfterInstall: "ExtractUvPlayer"; 
Source: "{app}\HookDLL3.dll"; DestDir: "{app}"; 
Source: "{app}\Examples\Example.uvf"; DestDir: "{app}\Examples"; 
Source: "{app}\Langs\Czech.ini"; DestDir: "{app}\Langs"; 
Source: "{app}\Langs\English.ini"; DestDir: "{app}\Langs"; 
Source: "{app}\Langs\French.ini"; DestDir: "{app}\Langs"; 
Source: "{app}\Langs\German.ini"; DestDir: "{app}\Langs"; 
Source: "{app}\Langs\Nederlands.ini"; DestDir: "{app}\Langs"; 
Source: "{app}\Langs\Russian.ini"; DestDir: "{app}\Langs"; 
Source: "{app}\Langs\Serbian (Latin).ini"; DestDir: "{app}\Langs"; 
Source: "{app}\Langs\Spanish.ini"; DestDir: "{app}\Langs"; 
Source: "{app}\zlib.dll"; DestDir: "{app}"; 
Source: "{app}\UVScreenCamera.chm"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\Img\16x16_LButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\16x16_MButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\16x16_RButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\16x16_Wheel.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\24x24_LButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\24x24_MButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\24x24_RButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\24x24_Wheel.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\32x32_LButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\32x32_MButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\32x32_RButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\32x32_Wheel.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\LButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\MButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\RButton.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\Img\Wheel.bmp"; DestDir: "{app}\Img"; 
Source: "{app}\uvFilmsViewer.exe"; DestDir: "{app}"; 
Source: "{app}\SoundRecorder.exe"; DestDir: "{app}"; 

[Registry]
Root: HKCU; Subkey: "Software\uvSoftium"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\uvSoftium\UVScreenCamera"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\uvSoftium\UVScreenCamera"; ValueName: "FPS"; ValueType: String; ValueData: "10"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\uvSoftium\UVScreenCamera"; ValueName: "RegVersion"; ValueType: String; ValueData: "0"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\uvSoftium\UVScreenCamera"; ValueName: "Projects"; ValueType: String; ValueData: "{userdocs}\uvSC_Projects"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "UVScreenCameraProject"; ValueType: String; ValueData: "UVScreenCamera Project"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "UVScreenCameraProject\DefaultIcon"; ValueType: String; ValueData: "{app}\UVScreenCamera.exe,0"; 
Root: HKCR; Subkey: "UVScreenCameraProject\shell\open\command"; ValueType: String; ValueData: """{app}\UVScreenCamera.exe"" ""%1"""; 
Root: HKCR; Subkey: ".upr"; ValueType: String; ValueData: "UVScreenCameraProject"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "UVScreenCameraFilm"; ValueType: String; ValueData: "UVScreenCamera Films"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "UVScreenCameraFilm\DefaultIcon"; ValueType: String; ValueData: "{app}\UVScreenCamera.exe,0"; 
Root: HKCR; Subkey: "UVScreenCameraFilm\shell\open\command"; ValueType: String; ValueData: """{app}\UVPlayer.exe"" ""%1"""; 
Root: HKCR; Subkey: ".uvf"; ValueType: String; ValueData: "UVScreenCameraFilm"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "UVScreenCameraFilmOld"; ValueType: String; ValueData: "UVScreenCamera Films"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "UVScreenCameraFilmOld\DefaultIcon"; ValueType: String; ValueData: "{app}\UVScreenCamera.exe,0"; 
Root: HKCR; Subkey: "UVScreenCameraFilmOld\shell\open\command"; ValueType: String; ValueData: """{app}\UVScreenCamera.exe"" ""%1"""; 
Root: HKCR; Subkey: ".uvcab"; ValueType: String; ValueData: "UVScreenCameraFilmOld"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "UVScreenCameraSegment"; ValueType: String; ValueData: "UVScreenCamera Segments"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "UVScreenCameraSegment\DefaultIcon"; ValueType: String; ValueData: "{app}\UVScreenCamera.exe,3"; 
Root: HKCR; Subkey: "UVScreenCameraSegment\shell\open\command"; ValueType: String; ValueData: """{app}\UVScreenCamera.exe"" ""%1"""; 
Root: HKCR; Subkey: ".uvs"; ValueType: String; ValueData: "UVScreenCameraSegment"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: ".uvseg"; ValueType: String; ValueData: "UVScreenCameraSegment"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "UVScreenCameraNotes"; ValueType: String; ValueData: "UVScreenCamera Notes"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "UVScreenCameraNotes\DefaultIcon"; ValueType: String; ValueData: "{app}\UVScreenCamera.exe,2"; 
Root: HKCR; Subkey: "UVScreenCameraNotes\shell\open\command"; ValueType: String; ValueData: """{app}\UVScreenCamera.exe"" ""%1"""; 
Root: HKCR; Subkey: ".uvnts"; ValueType: String; ValueData: "UVScreenCameraNotes"; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\UVScreenCamera.exe"; Description: " UVScreenCamera"; 

[Icons]
Name: "{group}\UVScreenCamera"; Filename: "{app}\UVScreenCamera.exe"; 
Name: "{group}\UVScreenCamera Help"; Filename: "{app}\UVScreenCamera.chm"; 
Name: "{group}\uvPlayer"; Filename: "{app}\uvPlayer.exe"; 
Name: "{group}\Uninstall UVScreenCamera"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\UVScreenCamera"; Filename: "{app}\UVScreenCamera.exe"; 

[CustomMessages]
ru.NameAndVersion=%1,  %2
ru.AdditionalIcons= :
ru.CreateDesktopIcon=   & 
ru.CreateQuickLaunchIcon=   &  
ru.ProgramOnTheWeb= %1  
ru.UninstallProgram= %1
ru.LaunchProgram= %1
ru.AssocFileExtension=& %1  ,   %2
ru.AssocingFileExtension= %1   %2...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "ru"; MessagesFile: "embedded\ru.isl"; LicenseFile: "embedded\ruLicense.txt"; 
